export enum CooperateApplyTypeEnum {
  /**
   * 保险合作申请
   */
  Insurance = 10,
  /**
   * 平台项目合作
   */
  Platform = 20,
  /**
   * HRO系统
   */
  HRO = 30,
  /**
   * 行业资讯合作
   */
  News = 40,
  /**
   * 投诉举报
   */
  Complaint = 50,
}

export const CooperateTypeText = {
  Platform: '平台项目合作',
  HRO: 'HRO系统',
  Insurance: '保险合作申请',
  News: '行业资讯合作',
  Complaint: '投诉举报',
};
export const CooperateApplyType = {
  [CooperateTypeText.Platform]: 20,
  [CooperateTypeText.HRO]: 30,
  [CooperateTypeText.Insurance]: 10,
  [CooperateTypeText.News]: 40,
  [CooperateTypeText.Complaint]: 50,
};

/** 10 待受理 20 受理中 30 已完成 -10 拒绝合作 */
export enum CooperateStatus {
  /**
   * 待受理
   */
  PendingAcceptance = 10,
  /**
   *受理中
   */
  Accepting = 20,
  /**
   *已完成
   */
  Completed = 30,
  /**
   *拒绝合作
   */
  RefusalToCooperate = -10,
  /**
   *下架
   */
  OffShelf = 40,
}
export const CooperateStatusText = {
  [CooperateStatus.PendingAcceptance]: '待受理',
  [CooperateStatus.Accepting]: '受理中',
  [CooperateStatus.Completed]: '已完成',
  [CooperateStatus.RefusalToCooperate]: '已拒绝',
  [CooperateStatus.OffShelf]: '已取消',
};
export const CooperateFollowStatusText = {
  [CooperateStatus.PendingAcceptance]: '未受理',
  [CooperateStatus.Accepting]: '跟进中',
  [CooperateStatus.Completed]: '已合作',
  [CooperateStatus.RefusalToCooperate]: '拒绝合作',
  [CooperateStatus.OffShelf]: '已取消',
};

export const CooperateStatusTag = {
  [CooperateStatus.PendingAcceptance]: 'danger',
  [CooperateStatus.Accepting]: 'warning',
  [CooperateStatus.Completed]: 'success',
  [CooperateStatus.RefusalToCooperate]: 'danger',
  [CooperateStatus.OffShelf]: 'warning',
};

export enum InsurePeopleNumberEnum {
  /**
   * 保障人数1-49
   */
  People1To49 = 10,
  /**
   * 保障人数50-99
   */
  People50To99 = 20,
  /**
   * 保障人数100以上
   */
  People100ToMore = 30,
}

export const InsurePeopleNumberEnumText = {
  [InsurePeopleNumberEnum.People1To49]: '1-49人',
  [InsurePeopleNumberEnum.People50To99]: '50-99人',
  [InsurePeopleNumberEnum.People100ToMore]: '100人以上',
};
